For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETGet a WhatsApp campaign
      • DELDelete a WhatsApp campaign
      • PUTUpdate a WhatsApp campaign
      • GETReturn all your created WhatsApp templates
      • POSTCreate and Send a WhatsApp campaign
      • GETReturn all your created WhatsApp campaigns
      • GETGet your WhatsApp API account information
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsWhatsApp Campaigns

Return all your created WhatsApp campaigns

GET
https://api.brevo.com/v3/whatsappCampaigns
GET
/v3/whatsappCampaigns
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.whatsAppCampaigns.getWhatsAppCampaigns({});
8}
9main();
1{
2 "campaigns": [
3 {
4 "campaignName": "campaign_22",
5 "campaignStatus": "sent",
6 "createdAt": "2017-05-01T12:30:00Z",
7 "id": 1672035851100690,
8 "modifiedAt": "2017-05-01T12:30:00Z",
9 "scheduledAt": "2022-12-27T09:50:00Z",
10 "templateId": "637660278078655",
11 "errorReason": "NONE",
12 "invalidatedContacts": 0,
13 "readPercentage": 28.57,
14 "stats": {
15 "delivered": 3,
16 "notSent": 4,
17 "read": 2,
18 "sent": 3,
19 "unsubscribe": 0
20 }
21 }
22 ],
23 "count": 23
24}
Retrieve a paginated list of all your WhatsApp campaigns with their statistics and metadata. Results can be filtered by creation date range using startDate and endDate, with a default limit of 50 and maximum of 100 per page. The sort order defaults to descending by modification date.
Was this page helpful?
Previous

Get your WhatsApp API account information

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

startDatestringOptional

Mandatory if endDate is used. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the WhatsApp campaigns created. Prefer to pass your timezone in date-time format for accurate result

endDatestringOptional

Mandatory if startDate is used. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the WhatsApp campaigns created. Prefer to pass your timezone in date-time format for accurate result

limitlongOptional0-100Defaults to 50
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document in the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record modification. Default order is descending if sort is not passed

Allowed values:

Response

WhatsApp campaigns information
campaignslist of objects
countlong
Number of WhatsApp campaigns retrieved

Errors

400
Bad Request Error